# Uses of Interface
java.lang.classfile.attribute.ExceptionsAttribute

Packages that use ExceptionsAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ExceptionsAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ExceptionsAttribute
Modifier and Type
Method
Description
`static AttributeMapper<ExceptionsAttribute>`
Attributes.`exceptions()`
Returns the mapper for the `Exceptions` attribute.

## Uses of ExceptionsAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type ExceptionsAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`ExceptionsAttribute`
Models the `Exceptions` attribute (JVMS 4.7.5), which records the exceptions declared to be thrown by this method.
Methods in java.lang.classfile.attribute that return ExceptionsAttribute
Modifier and Type
Method
Description
`static ExceptionsAttribute`
ExceptionsAttribute.`of(ClassEntry... exceptions)`
Returns an `Exceptions` attribute.
`static ExceptionsAttribute`
ExceptionsAttribute.`of(List<ClassEntry> exceptions)`
Returns an `Exceptions` attribute.
`static ExceptionsAttribute`
ExceptionsAttribute.`ofSymbols(ClassDesc... exceptions)`
Returns an `Exceptions` attribute.
`static ExceptionsAttribute`
ExceptionsAttribute.`ofSymbols(List<ClassDesc> exceptions)`
Returns an `Exceptions` attribute.